Bug 1143870 - futex-wait-multiple patchset for testing with Proton fsync
futex-wait-multiple patchset for testing with Proton fsync
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 openSUSE Factory
: P5 - None : Enhancement (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-01 15:50 UTC by Alexander Ahjolinna
Modified: 2019-08-09 12:16 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Ahjolinna 2019-08-01 15:50:47 UTC
Valve just recently released proton 4.11 that features new fsnyc for improved multi-threaded gaming, which requires patches for the kernel to work




proton changelog: https://github.com/ValveSoftware/Proton/wiki/Changelog#411-1
the forum announcement: https://steamcommunity.com/app/221410/discussions/0/3158631000006906163/
the kernel patch: https://lkml.org/lkml/2019/7/30/1399
Comment 1 Michal Kubeček 2019-08-02 08:23:10 UTC
What exactly is the purpose of this report? Are you asking us to include the
patch set in openSUSE kernel?

Looking at the upstream discussion (third link in the initial comment), I can
see that

(1) The patch set has been submitted as "RFC", i.e. rather initial "What do you
    think about this?", not an official submission meant to be merged as is.
(2) There were nontrivial objections to this version.

I would say including the patch set in openSUSE kernel at this point would be
rather premature.
Comment 2 Jiri Slaby 2019-08-09 12:16:54 UTC
(In reply to Michal Kubeček from comment #1)
> I would say including the patch set in openSUSE kernel at this point would be
> rather premature.

Agreed, you need to wait for this to hit upstream. And then, it will hit tumbleweed in a couple of weeks.